# -*- coding: utf-8 -*-
## @(#) ローカルマシンで実行されるスクリプト

stage=$1  # before-role, before-host, after-host, after-roleのどれか
role=$2   # ロール名（'web', 'bastion' など）
host=$3   # ホスト名

#. `dirname $0`/../lib/common.bash   # 共通の関数や定数
#. `dirname $0`/../vars/vars.bash    # 環境別の変数

case "$stage" in
before-role) # (1) ロール全体の前処理
  echo "** before-role: role=$role"
  ;;
before-host) # (2) ホストごとの前処理
  echo "** before-host: role=$role, host=$host"
  ;;
after-host)  # (3) ホストごとの後処理
  echo "** after-host: role=$role, host=$host"
  ;;
after-role)  # (4) ロール全体の後処理
  echo "** after-role: role=$role"
  ;;
esac
